Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## infomat.view.pixel
Class PixelFrame

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Frame
                      javax.swing.JFrame
                          infomat.view.pixel.PixelFrame

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants

    public class PixelFrame

extends javax.swing.JFrame

A tool for displaying IMatrixCells, and IObject:s for rows and columns.

See Also:
  Serialized Form

Nested Class Summary
`private class` | `PixelFrame.ControlPanel` Controls what panels are visable.
`private class` | `PixelFrame.GatherPanel` Controls which pixels are gathered.
`private class` | `PixelFrame.RemovePanel` Used to remove what is gathered.
`private class` | `PixelFrame.SelectionPanel` Controls how the pixels are selected.

Nested classes/interfaces inherited from class javax.swing.JFrame
`javax.swing.JFrame.AccessibleJFrame`

Nested classes/interfaces inherited from class java.awt.Frame
`java.awt.Frame.AccessibleAWTFrame`

Nested classes/interfaces inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`private java.awt.Container` | `container`
`private javax.swing.JPanel` | `containerPanel`
`private PixelFrame.ControlPanel` | `controlPanel`
`private PixelPanel` | `currentPixelPanel`
`private PixelPanel` | `gatheredPixelPanel`
`private PixelFrame.GatherPanel` | `gatherPanel`
`private javax.swing.JPanel` | `leftPanel`
`private javax.swing.JPanel` | `middlePanel`
`private InfomatModel` | `model`
`static java.awt.Dimension` | `PIXELPANEL_PREFERRED_SIZE`
`private PixelFrame.RemovePanel` | `removePanel`
`private javax.swing.JPanel` | `rightPanel`
`static int` | `SELECT_WHAT_CELLS`
`static int` | `SELECT_WHAT_COLUMNS`
`static int` | `SELECT_WHAT_ROWS`
`private PixelPanel` | `selectedPixelPanel`
`static int` | `SELECTION_STATE_AREA`
`static int` | `SELECTION_STATE_SINGLE`
`private PixelFrame.SelectionPanel` | `selectionPanel`
`private int` | `selectionState`
`private int` | `selectWhat`
`private InfomatView` | `view`
`private boolean` | `viewGathered`
`private boolean` | `viewRemove`
`private boolean` | `viewSelected`
`private boolean` | `visible`

Fields inherited from class javax.swing.JFrame
`accessibleContext, EXIT_ON_CLOSE, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Frame
`CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MAXIMIZED_BOTH, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`PixelFrame(InfomatModel model, InfomatView view)`

Method Summary
`void` | `addAllSelectedToGathered()`
`void` | `addSelectedCellsToGathered()`
`void` | `addSelectedColumnsToGathered()`
`void` | `addSelectedRowsToGathered()`
`int` | `getSelectionState()`
`int` | `getSelectWhat()`
`boolean` | `getVisible()`
`void` | `putAll()`
`void` | `putAllSelectedToGathered()`
`void` | `putSelectedCellsToGathered()`
`void` | `putSelectedColumnsToGathered()`
`void` | `putSelectedRowsToGathered()`
`void` | `removeAllGathered()`
`void` | `removeGatheredCells()`
`void` | `removeGatheredColumns()`
`void` | `removeGatheredRows()`
`void` | `select(java.util.Vector matrixCells)`
`void` | `selectCurrent(IObjectGroup group, boolean row)`
`void` | `selectCurrent(SparsePixel sp)`
`void` | `setAllSelectedFromGathered()`
`void` | `setAllSelectedToGathered()`
`void` | `setCellsSelectedFromGathered()`
`void` | `setColumnsSelectedFromGathered()`
`void` | `setCurrentInfo(IObjectGroup group, boolean row)`
`void` | `setCurrentInfo(SparsePixel sp)`
`void` | `setRowsSelectedFromGathered()`
`void` | `setSelectedCellsToGathered()`
`void` | `setSelectedColumnsForGatheredRows()`
`void` | `setSelectedColumnsToGathered()`
`void` | `setSelectedElementsForGatheredRowsAndColumns()`
`void` | `setSelectedRowsAndColumnsForGatheredElements()`
`void` | `setSelectedRowsForGatheredColumns()`
`void` | `setSelectedRowsToGathered()`
`void` | `setSelectionState(int selectionState)`
`void` | `setSelectWhat(int selectWhat)`
`void` | `sortGatheredToSelected(boolean row)`
`void` | `sortGatheredToSelected(boolean gatheredRow, boolean selectedRow)`
`void` | `toggleShowGathered()`
`void` | `toggleShowRemove()`
`void` | `toggleShowSelected()`
`void` | `toggleVisible()`

Methods inherited from class javax.swing.JFrame
`addImpl, createRootPane, frameInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setIconImage, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler, update`

Methods inherited from class java.awt.Frame
`addNotify, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, getMenuBar, getState, getTitle, isResizable, isUndecorated, remove, removeNotify, setCursor, setExtendedState, setMaximizedBounds, setMenuBar, setResizable, setState, setTitle, setUndecorated`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOwnedWindows, getOwner, getOwnerlessWindows, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, hide, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImages, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, setVisible, show, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, setBackground, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.awt.MenuContainer
`getFont, postEvent`

Field Detail

### selectionState

    private int selectionState

### SELECTION_STATE_SINGLE

    public static final int SELECTION_STATE_SINGLE

See Also:
  Constant Field Values

### SELECTION_STATE_AREA

    public static final int SELECTION_STATE_AREA

See Also:
  Constant Field Values

### selectWhat

    private int selectWhat

### SELECT_WHAT_CELLS

    public static final int SELECT_WHAT_CELLS

See Also:
  Constant Field Values

### SELECT_WHAT_ROWS

    public static final int SELECT_WHAT_ROWS

See Also:
  Constant Field Values

### SELECT_WHAT_COLUMNS

    public static final int SELECT_WHAT_COLUMNS

See Also:
  Constant Field Values

### visible

    private boolean visible

### container

    private java.awt.Container container

### containerPanel

    private javax.swing.JPanel containerPanel

### model

    private InfomatModel model

### view

    private InfomatView view

### leftPanel

    private javax.swing.JPanel leftPanel

### middlePanel

    private javax.swing.JPanel middlePanel

### rightPanel

    private javax.swing.JPanel rightPanel

### controlPanel

    private PixelFrame.ControlPanel controlPanel

### selectionPanel

    private PixelFrame.SelectionPanel selectionPanel

### gatherPanel

    private PixelFrame.GatherPanel gatherPanel

### currentPixelPanel

    private PixelPanel currentPixelPanel

### selectedPixelPanel

    private PixelPanel selectedPixelPanel

### gatheredPixelPanel

    private PixelPanel gatheredPixelPanel

### removePanel

    private PixelFrame.RemovePanel removePanel

### viewSelected

    private boolean viewSelected

### viewGathered

    private boolean viewGathered

### viewRemove

    private boolean viewRemove

### PIXELPANEL_PREFERRED_SIZE

    public static final java.awt.Dimension PIXELPANEL_PREFERRED_SIZE

Constructor Detail

### PixelFrame

    public PixelFrame(InfomatModel model,
                      InfomatView view)

Method Detail

### putAll

    public void putAll()

### setCurrentInfo

    public void setCurrentInfo(SparsePixel sp)

### selectCurrent

    public void selectCurrent(SparsePixel sp)

### select

    public void select(java.util.Vector matrixCells)

### setCurrentInfo

    public void setCurrentInfo(IObjectGroup group,
                               boolean row)

### selectCurrent

    public void selectCurrent(IObjectGroup group,
                              boolean row)

### setAllSelectedToGathered

    public void setAllSelectedToGathered()

### setSelectedCellsToGathered

    public void setSelectedCellsToGathered()

### setSelectedRowsToGathered

    public void setSelectedRowsToGathered()

### setSelectedColumnsToGathered

    public void setSelectedColumnsToGathered()

### setSelectedElementsForGatheredRowsAndColumns

    public void setSelectedElementsForGatheredRowsAndColumns()

### setSelectedRowsAndColumnsForGatheredElements

    public void setSelectedRowsAndColumnsForGatheredElements()

### addAllSelectedToGathered

    public void addAllSelectedToGathered()

### addSelectedCellsToGathered

    public void addSelectedCellsToGathered()

### addSelectedRowsToGathered

    public void addSelectedRowsToGathered()

### addSelectedColumnsToGathered

    public void addSelectedColumnsToGathered()

### putAllSelectedToGathered

    public void putAllSelectedToGathered()

### putSelectedCellsToGathered

    public void putSelectedCellsToGathered()

### putSelectedRowsToGathered

    public void putSelectedRowsToGathered()

### putSelectedColumnsToGathered

    public void putSelectedColumnsToGathered()

### setSelectedRowsForGatheredColumns

    public void setSelectedRowsForGatheredColumns()

### setSelectedColumnsForGatheredRows

    public void setSelectedColumnsForGatheredRows()

### removeAllGathered

    public void removeAllGathered()

### removeGatheredCells

    public void removeGatheredCells()

### removeGatheredColumns

    public void removeGatheredColumns()

### removeGatheredRows

    public void removeGatheredRows()

### toggleVisible

    public void toggleVisible()

### getVisible

    public boolean getVisible()

### toggleShowSelected

    public void toggleShowSelected()

### toggleShowGathered

    public void toggleShowGathered()

### toggleShowRemove

    public void toggleShowRemove()

### setSelectionState

    public void setSelectionState(int selectionState)

### getSelectionState

    public int getSelectionState()

### setSelectWhat

    public void setSelectWhat(int selectWhat)

### getSelectWhat

    public int getSelectWhat()

### setAllSelectedFromGathered

    public void setAllSelectedFromGathered()

### setCellsSelectedFromGathered

    public void setCellsSelectedFromGathered()

### setRowsSelectedFromGathered

    public void setRowsSelectedFromGathered()

### setColumnsSelectedFromGathered

    public void setColumnsSelectedFromGathered()

### sortGatheredToSelected

    public void sortGatheredToSelected(boolean row)

### sortGatheredToSelected

    public void sortGatheredToSelected(boolean gatheredRow,
                                       boolean selectedRow)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD